#include "stdio.h"

#include "Common.h"

//-----------------------------------------------------------------------------
//  u1 ReadU1()
//-----------------------------------------------------------------------------
u1 ReadU1(FILE *f)
{
	u1 data;
	fread(&data,sizeof(u1),1,f);
	return data;
}

//-----------------------------------------------------------------------------
//  u2 ReadU2()
//-----------------------------------------------------------------------------
u2 ReadU2(FILE *f)
{
	u2 data;
	fread(&data,sizeof(u2),1,f);
	return ((data >> 8) & 0xff) + ((data << 8) & 0xff00);
}

//-----------------------------------------------------------------------------
//  u4 ReadU4()
//-----------------------------------------------------------------------------
u4 ReadU4(FILE *f)
{
	u4 data;
	fread(&data,sizeof(u4),1,f);
	return ((data & 0xff) << 24) + ((data & 0xff00) << 8) + ((data & 0xff0000) >> 8) + ((data >> 24) & 0xff);
}